be.fgov.ehealth.mediprima.protocol.v2

## Class ConsultCarmedInterventionRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.mediprima.protocol.v2.ConsultCarmedInterventionRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:16:11+01:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultCarmedInterventionRequest
      extends RequestType
      implements Serializable

  Java class for ConsultCarmedInterventionRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultCarmedInterventionRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
             <sequence>
               <element name="SelectionCriteria" type="{urn:be:fgov:ehealth:mediprima:core:v2}ConsultCarmedDataType"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultCarmedInterventionRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsultCarmedDataType` | `getSelectionCriteria()` Gets the value of the selectionCriteria property.
    `void` | `setSelectionCriteria(ConsultCarmedDataType value)` Sets the value of the selectionCriteria property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultCarmedInterventionRequest

          public ConsultCarmedInterventionRequest()

  - ### Method Detail

    - #### getSelectionCriteria

          public ConsultCarmedDataType getSelectionCriteria()

      Gets the value of the selectionCriteria property.
      Returns:
        possible object is `ConsultCarmedDataType`

    - #### setSelectionCriteria

          public void setSelectionCriteria(ConsultCarmedDataType value)

      Sets the value of the selectionCriteria property.
      Parameters:
        `value` - allowed object is `ConsultCarmedDataType`

Connector Packaging PERSPHYSICIAN 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.